import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MsMonitorMetrics } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-01 16:26
 */
interface MsMonitorMetricsCU extends ConditionUtil<MsMonitorMetricsCU> {
    ID: FieldUtil<MsMonitorMetricsCU>;
    CREATE_TIME: FieldUtil<MsMonitorMetricsCU>;
    UPDATE_TIME: FieldUtil<MsMonitorMetricsCU>;
    STATE: FieldUtil<MsMonitorMetricsCU>;
    CODE: FieldUtil<MsMonitorMetricsCU>;
    NAME: FieldUtil<MsMonitorMetricsCU>;
    UNIT_NAME: FieldUtil<MsMonitorMetricsCU>;
    PROMETHEUS_QUERY_PARAM: FieldUtil<MsMonitorMetricsCU>;
    REMARK: FieldUtil<MsMonitorMetricsCU>;
}
declare class MsMonitorMetricsMU extends TableUtilImpl<MsMonitorMetricsCU, MsMonitorMetrics> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MsMonitorMetricsCU;
    static get ID(): FieldUtil<MsMonitorMetricsCU>;
    static get CREATE_TIME(): FieldUtil<MsMonitorMetricsCU>;
    static get UPDATE_TIME(): FieldUtil<MsMonitorMetricsCU>;
    static get STATE(): FieldUtil<MsMonitorMetricsCU>;
    static get CODE(): FieldUtil<MsMonitorMetricsCU>;
    static get NAME(): FieldUtil<MsMonitorMetricsCU>;
    static get UNIT_NAME(): FieldUtil<MsMonitorMetricsCU>;
    static get PROMETHEUS_QUERY_PARAM(): FieldUtil<MsMonitorMetricsCU>;
    static get REMARK(): FieldUtil<MsMonitorMetricsCU>;
    get ID(): FieldUtil<MsMonitorMetricsCU>;
    get CREATE_TIME(): FieldUtil<MsMonitorMetricsCU>;
    get UPDATE_TIME(): FieldUtil<MsMonitorMetricsCU>;
    get STATE(): FieldUtil<MsMonitorMetricsCU>;
    get CODE(): FieldUtil<MsMonitorMetricsCU>;
    get NAME(): FieldUtil<MsMonitorMetricsCU>;
    get UNIT_NAME(): FieldUtil<MsMonitorMetricsCU>;
    get PROMETHEUS_QUERY_PARAM(): FieldUtil<MsMonitorMetricsCU>;
    get REMARK(): FieldUtil<MsMonitorMetricsCU>;
}
export { MsMonitorMetricsMU, MsMonitorMetricsCU };
